Subject: Re: [dispatch] Fwd: New Version Notification for draft-sinha-dispatch-sip-continuation-option-03.txt

From: dave Cruse <[email-masked]>
Date: Thu, 3 May 2012 15:17:56 +0000

Hello Manjunath, 

Here in working group I see few  email conversationsabout NDDND continuation etc what is that you want to convey aboutyour proprietary NDDND mechansim? Could you explain your  NDDND and
call-continuation feature with flow diagram and how are you going toimplement this? What is the difference  between DND and NDDNDmechansim approach?

- Dave

> From: [email-masked]
> To: [email-masked]
> Date: Mon, 23 Apr 2012 11:54:59 -0400
> CC: [email-masked]
> Subject: Re: [dispatch] Fwd: New Version Notification for draft-sinha-dispatch-sip-continuation-option-03.txt
> 
> > From: Manjunath [[email-masked]]
> > 
> > > As far as I can tell, you place great emphasis on the need for the
> > > callee to communicate his state to the caller.  And that this is the
> > > reason that the "Priority" header in the INVITE is not a sufficient
> > > solution.
> > [...]
> > > This is not specified in a requirement in Amardeep's list of
> > > requirements.
> > 
> > [Manjunath] :What Amardeep sent earlier was just the consolidated
> > requirement list.
> 
> However you should ensure that the consolidated requirement list
> contains this requirement, as it is an essential reason for organizing
> the "continuation" mechanism in the way you have organized it.
> 
> > > But I do not know of a justification that it is important for the
> > > callee to communicate his state to the caller.  The caller knows
> > > before placing the call whether it is important enough to interrupt
> > > the callee.  Knowing whether the callee is busy does not change that.
> > 
> > [Manjunath] : Yes it would be important for the callee to communicate
> > his state to the caller because that particular call at that moment
> > may not be important for callee.
> > 
> > Yes, the caller knows before placing the call whether it is important
> > enough to interrupt the callee. And knowing whether the calee is busy
> > (DND set) the caller will not change his/her state. That means caller
> > wants callee to answer his/her URGENT call. And this is only possible
> > when callee notice the alert OR pop-up message or light blink. If
> > callee missed OR unnoticed pop-up message OR light blink then callee
> > will not answer the caller’s URGENT call even though the caller has
> > sent the request with High priority. So if callee sets NDDND (as
> > defined in draft) we can overcome this problem.
> 
> However, since we are considering changing the callee's phone's
> behavior already, why not modify the callee's phone to ring when it
> receives an INVITE with "Priority: urgent" even if the phone is busy
> or has DND set?
> 
> Dale
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch